<template>
  <Button
    img="icon-save"
    v-bind="{ ...item }"
    :onClick="onClick"
  />
</template>

<script setup>
  import { useViewerStore } from '@/stores/modules/viewer'
  import { computed } from 'vue'
  import core from '@/core'
  const { saveAnnotations } = core
  const useViewer = useViewerStore()
  const { item } = defineProps(['item'])

  const onClick = () => {
    saveAnnotations()
  }
</script>
